# Generated by Django 3.2 on 2023-10-10 03:30

import ckeditor_uploader.fields
from django.db import migrations, models
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0080_aksesbilitas'),
    ]

    operations = [
        migrations.CreateModel(
            name='InfoTerpadu',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', ckeditor_uploader.fields.RichTextUploadingField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('start_event_date', models.DateField()),
                ('end_event_date', models.DateField()),
                ('typexs', models.CharField(default='infografis', max_length=500)),
                ('description', ckeditor_uploader.fields.RichTextUploadingField()),
                ('foto', models.ImageField(null=True, upload_to='profile/images/infoterpadu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('dokumen', models.FileField(blank=True, null=True, upload_to='profile/announcement/infoterpadu/', validators=[rizq_sanjaya_app.models.profile.validate_file_dokumen, rizq_sanjaya_app.models.profile.validate_file_size_dokumen])),
                ('slug', models.SlugField(max_length=150, unique=True)),
                ('status', models.CharField(default='Publish', max_length=500)),
            ],
        ),
    ]
